Bug 480886 - Review Request: tse3 - MIDI Sequencer Engine
Review Request: tse3 - MIDI Sequencer Engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 480887
  Show dependency treegraph
 
Reported: 2009-01-20 23:41 EST by Orcan Ogetbil
Modified: 2009-01-27 13:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 12:07:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
some trial patch (2.37 KB, patch)
2009-01-25 14:46 EST, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Orcan Ogetbil 2009-01-20 23:41:36 EST
Spec URL: http://oget.fedorapeople.org/review/tse3.spec
SRPM URL: http://oget.fedorapeople.org/review/tse3-0.3.1-1.fc10.src.rpm
Description: 
TSE3 is a powerful open source sequencer engine written in C++. It is a
'sequencer engine' because it provides the actual driving force elements of a
sequencer but provides no form of user interface. Sequencer applications or
multimedia presentation packages will incorporate the TSE3 libraries to
provide a user with MIDI sequencing facilities.

Koji:
F-10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1070317
F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1070322

Rpmlint:
silent

There are 3 patches to fix compilation issues. These patches have been around (for other distros) for a while now as the project itself seems pretty much dead. I'm not sure I should bother sending them upstream again.
Comment 1 Mamoru TASAKA 2009-01-25 14:46:43 EST
Created attachment 329952 [details]
some trial patch

For 0.3.1-1:

* About Patch2:
  - Well, google shows that awe_voice.h was removed from
    kernel headers at 2.6.21 or so (i.e. around Fedora 7)
    I don't think it is preferrable to re-introduce macros 
    which was defined in the header file which is no longer 
    supported. I guess kernel supports AWE32 in other way
    or kernel does not support AWE32 completely any more.

    Are macros related to awe_voice.h really needed even
    now? 
    (removing all awe32 related parts like attached does not help ?
     I just tried to remove all awe_voice.h related parts
     and did not any functionality check as I don't know
     how to use this software...)

* Timestamps
  - Please consider to use
-------------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
-------------------------------------------------------
    to keep timestamps on installed files.

* Directory structure about document files
  - For HTML files in devel package, I suggest that a subdirectory
    should be created under %_defaultdocdir/%name-devel-%version
    (named as "HTML", for example) and all HTML files should be
    moved into the directory.
Comment 2 Orcan Ogetbil 2009-01-25 15:12:41 EST
Thank you.

(In reply to comment #1)
> 
> * About Patch2:
>   - Well, google shows that awe_voice.h was removed from
>     kernel headers at 2.6.21 or so (i.e. around Fedora 7)
>     I don't think it is preferrable to re-introduce macros 
>     which was defined in the header file which is no longer 
>     supported. I guess kernel supports AWE32 in other way
>     or kernel does not support AWE32 completely any more.
> 
>     Are macros related to awe_voice.h really needed even
>     now? 
>     (removing all awe32 related parts like attached does not help ?
>      I just tried to remove all awe_voice.h related parts
>      and did not any functionality check as I don't know
>      how to use this software...)
> 

Thanks for the patch. It seems like you are right. But now I am thinking of dropping the OSS support from tse3 altogether. I see other applications/libraries in Fedora built with --without-oss flag. 
- It will save us some dependencies, 
- I am not sure how functional the library will be after this patch, and 
- OSS is deprecated, so we won't loose much.

Does that sound OK?
Comment 3 Mamoru TASAKA 2009-01-25 15:26:53 EST
I think removing OSS support should be okay on Fedora.
Comment 4 Orcan Ogetbil 2009-01-25 15:52:47 EST
Update:
Spec URL: http://oget.fedorapeople.org/review/tse3.spec
SRPM URL: http://oget.fedorapeople.org/review/tse3-0.3.1-2.fc10.src.rpm

Changelog:
- Move the HTML documentation into an HTML subdirectory
- Use INSTALL="install -p"
- Drop the oss support, and the related patch
Comment 5 Mamoru TASAKA 2009-01-26 12:27:05 EST
Please provide srpm, not binary rpm :)
Comment 6 Orcan Ogetbil 2009-01-26 12:40:55 EST
Uh oh. Sorry, my bad! I uploaded the appropriate SRPM file to the same place.
Comment 7 Mamoru TASAKA 2009-01-26 13:10:35 EST
Okay, good.

-----------------------------------------------------
  This package (tse3) is APPROVED by mtasaka
-----------------------------------------------------
Comment 8 Orcan Ogetbil 2009-01-26 13:19:05 EST
Great. Thanks!

New Package CVS Request
=======================
Package Name:  tse3
Short Description: MIDI Sequencer Engine
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-01-26 17:20:27 EST
cvs done.
Comment 10 Michael Schwendt 2009-01-27 08:26:42 EST
> Requires:       %{name} == %{version}-%{release}

Does that work?

> %install
> make install DESTDIR=%{buildroot} INSTALL="install -p" \

"rm -rf %{buildroot}" is missing as the first cmd in %install section.
Comment 11 Mamoru TASAKA 2009-01-27 09:00:38 EST
(In reply to comment #10)
> > Requires:       %{name} == %{version}-%{release}
> 
> Does that work?

Yes (at least on F-9/10/11)

 
> > %install
> > make install DESTDIR=%{buildroot} INSTALL="install -p" \
> 
> "rm -rf %{buildroot}" is missing as the first cmd in %install section.

Sorry for not pointing this out...
Comment 12 Mamoru TASAKA 2009-01-27 12:07:05 EST
Closing.
Comment 13 Orcan Ogetbil 2009-01-27 13:05:41 EST
(In reply to comment #11)
> (In reply to comment #10)
> > > %install
> > > make install DESTDIR=%{buildroot} INSTALL="install -p" \
> > 
> > "rm -rf %{buildroot}" is missing as the first cmd in %install section.
> 
> Sorry for not pointing this out...
No problem. I missed this as much as you did. But this is weird because rpmlint normally warns us if one of the "rm -rf %{buildroot}" is missing (one in %install, one in %clean). Maybe we hit an rpmlint bug.

I'm revoking my requests for pushing to F-9 and F-10 update-testing and rebuilding.

Note You need to log in before you can comment on or make changes to this bug.